
Redmine - Defect #21021

Copying a Redmine issue does not allow change of Status

2015-10-19 12:03 - Roger Noble

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 3.0.1

Description

Although the form presented allows selection between existing status and default status, if the existing status is "Closed", the change

is not accepted.  As a result, the new Issue is created with the Status = Closed and the changes to Subject and Description not done.

Related issues:

Related to Redmine - Feature #23610: Reset status when copying issues Closed

History

#1 - 2015-10-27 16:05 - Olivier Houdas

You should check your workflow (Administration\Workflow) for your role in the project in which you are testing.

I tested with an issue in a project on my test site, and it works perfectly fine, the copied task is changed from Closed to New.

#2 - 2015-11-17 04:36 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from High to Normal

#3 - 2015-11-17 10:15 - Roger Noble

Have tried again with the same result.

I've modified the workflow to allow all users to change status from Closed to New.  I can modify an existing Closed issue to New.  But the copy does

not allow the change.  It accepts selection from dropdown but does not do the change.

The Redmine version is: 3.0.1.stable.

#4 - 2015-11-17 13:12 - Toshi MARUYAMA

I cannot reproduce, too.

I cannot see problem this code.

source:tags/3.0.6/app/models/issue.rb#L805

Please give us plugins you used.

See Submissions.

#5 - 2017-05-27 06:05 - Go MAEDA

- Related to Feature #23610: Reset status when copying issues added

#6 - 2017-05-27 06:05 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Fixed

Fixed by #23610 for upcoming Redmine 3.4.0.

Issue status is reset to default when an issue is copied and you can choose from all allowed statuses for a new issue.
